<router-outlet></router-outlet>

<div class="page-container">
  <mat-card>
    <mat-card-title>
      Get wikipedia suggestions based on the content of your text
    </mat-card-title>
    <mat-card-content>
      <mat-form-field class="user-text-input">
        <textarea [(ngModel)]="userText"
                  [ngModelOptions]="{standalone: true}"
                  matInput placeholder="Your text" matTextareaAutosize></textarea>
      </mat-form-field>

      <div style="color: red" *ngIf="errorMessage && errorMessage !== ''">
        {{errorMessage}}
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-button (click)="search()">Search</button>
    </mat-card-actions>
  </mat-card>

  <mat-card *ngIf="searchResult.length > 0" class="results-card">
    <mat-card-title>Search results</mat-card-title>
    <mat-card-content>
      <mat-list>
        <div *ngFor="let result of searchResult; let last = last;">
          <mat-list-item>
            <div matLine>{{result.name}} (<a href="{{result.link}}" target="_blank">{{result.link}}</a>)</div>
            <div matLine>{{result.description}}</div>
          </mat-list-item>
          <mat-divider *ngIf="!last"></mat-divider>
        </div>

      </mat-list>
    </mat-card-content>
  </mat-card>
</div>
